#include <bits/stdc++.h>
using namespace std;

int main() {
    int N; int L;
   cin>>N; cin>> L;
   int p=0;

   for(int i=0;i<N;i++){
       int x; cin>>x; 
       if(L>x){
           p++;
       }
       else{break;}
       
   }
   if(p==N){
       cout<<-1<<endl;
   }
   else{cout<<p+1<<endl;}
   
   

    return 0;
}